<html>
    <head>
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <style type="text/css">
    .bannercell {
      border: 0px;
      padding: 0px;
    }
    body {
      margin-left: 10;
      margin-right: 10;
      font:normal 80% arial,helvetica,sanserif;
      background-color:#FFFFFF;
      color:#000000;
    }
    .a td {
      background: #efefef;
    }
    .b td {
      background: #fff;
    }
    th, td {
      text-align: left;
      vertical-align: top;
    }
    th {
      font-weight:bold;
      background: #ccc;
      color: black;
    }
    table, th, td {
      font-size:100%;
      border: none
    }
    table.log tr td, tr th {

    }
    h2 {
      font-weight:bold;
      font-size:140%;
      margin-bottom: 5;
    }
    h3 {
      font-size:100%;
      font-weight:bold;
      background: #525D76;
      color: white;
      text-decoration: none;
      padding: 5px;
      margin-right: 2px;
      margin-left: 2px;
      margin-bottom: 0;
    }
		</style>
    </head>
    <body>
        <a name="top"></a>
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td class="bannercell" rowspan="2"></td><td class="text-align:right">
                    <h2>CheckStyle Audit</h2>
                </td>
            </tr>
            <tr>
                <td class="text-align:right">Designed for use with <a href="http://checkstyle.sourceforge.net/">CheckStyle</a> and <a href="http://jakarta.apache.org">Ant</a>.</td>
            </tr>
        </table>
        <hr size="1">
        <h3>Summary</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Files</th><th>Errors</th>
            </tr>
            <tr class="a">
                <td>13</td><td>204</td>
            </tr>
        </table>
        <hr size="1" width="100%" align="left">
        <h3>Files</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Name</th><th>Errors</th>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\User.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\User.java</a></td><td>58</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\Product.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\Product.java</a></td><td>43</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\UserController.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\UserController.java</a></td><td>28</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\ProductController.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\ProductController.java</a></td><td>24</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\UserService.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\UserService.java</a></td><td>16</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\ProductService.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\ProductService.java</a></td><td>15</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\QualitelogicieltpApplication.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\QualitelogicieltpApplication.java</a></td><td>5</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\ProductRepository.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\ProductRepository.java</a></td><td>5</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\UserRepository.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\UserRepository.java</a></td><td>5</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\package-info.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\package-info.java</a></td><td>2</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\package-info.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\package-info.java</a></td><td>1</td>
            </tr>
            <tr class="b">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\package-info.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\package-info.java</a></td><td>1</td>
            </tr>
            <tr class="a">
                <td><a href="#f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\package-info.java">C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\package-info.java</a></td><td>1</td>
            </tr>
        </table>
        <hr size="1" width="100%" align="left">
        <a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\QualitelogicieltpApplication.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\QualitelogicieltpApplication.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Le fichier package-info.java est manquant.</td><td>1</td>
            </tr>
            <tr class="b">
                <td>Les classes utilitaires ne doivent pas avoir de constructeur par d&eacute;faut ou public.</td><td>6</td>
            </tr>
            <tr class="a">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>9</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>9</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre args devrait &ecirc;tre final.</td><td>9</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\ProductController.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\ProductController.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Import inutilis&eacute; - fr.mds.qualitelogicieltp.repositories.ProductRepository.</td><td>13</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>20</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>23</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre productService devrait &ecirc;tre final.</td><td>23</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>26</td>
            </tr>
            <tr class="b">
                <td>Classe 'ProductController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'index' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>27</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>27</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre myModel devrait &ecirc;tre final.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>29</td>
            </tr>
            <tr class="b">
                <td>Classe 'ProductController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'createGet' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>34</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>34</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre myModel devrait &ecirc;tre final.</td><td>35</td>
            </tr>
            <tr class="a">
                <td>Classe 'ProductController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'createPost' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>40</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>40</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre product devrait &ecirc;tre final.</td><td>41</td>
            </tr>
            <tr class="b">
                <td>Classe 'ProductController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'delete' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>48</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>48</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>49</td>
            </tr>
            <tr class="a">
                <td>Classe 'ProductController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'details' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>55</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>55</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 81).</td><td>56</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre myModel devrait &ecirc;tre final.</td><td>56</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>56</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 86).</td><td>57</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\UserController.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\UserController.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Import inutilis&eacute; - fr.mds.qualitelogicieltp.repositories.ProductRepository.</td><td>13</td>
            </tr>
            <tr class="b">
                <td>Import inutilis&eacute; - fr.mds.qualitelogicieltp.repositories.UserRepository.</td><td>14</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>22</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>24</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 83).</td><td>26</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>26</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre userService devrait &ecirc;tre final.</td><td>26</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre productService devrait &ecirc;tre final.</td><td>26</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>30</td>
            </tr>
            <tr class="b">
                <td>Classe 'UserController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'index' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>31</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>31</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre myModel devrait &ecirc;tre final.</td><td>32</td>
            </tr>
            <tr class="a">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>33</td>
            </tr>
            <tr class="b">
                <td>Classe 'UserController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'createGet' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>38</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>38</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre myModel devrait &ecirc;tre final.</td><td>39</td>
            </tr>
            <tr class="a">
                <td>Classe 'UserController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'createPost' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>45</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>45</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre user devrait &ecirc;tre final.</td><td>46</td>
            </tr>
            <tr class="b">
                <td>Classe 'UserController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'delete' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>53</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>53</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>54</td>
            </tr>
            <tr class="a">
                <td>Classe 'UserController' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'details' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>61</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>61</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 81).</td><td>62</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre myModel devrait &ecirc;tre final.</td><td>62</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>62</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 95).</td><td>64</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\package-info.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\package-info.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Il manque un caract&egrave;re NewLine &agrave; la fin du fichier.</td><td>1</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\Product.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\Product.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Import inutilis&eacute; - javax.persistence.Table.</td><td>7</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>10</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>16</td>
            </tr>
            <tr class="b">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>16</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>17</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>20</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>21</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>22</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>23</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>24</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>27</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>28</td>
            </tr>
            <tr class="b">
                <td>'id' masque un attribut.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre name devrait &ecirc;tre final.</td><td>28</td>
            </tr>
            <tr class="b">
                <td>'name' masque un attribut.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre price devrait &ecirc;tre final.</td><td>28</td>
            </tr>
            <tr class="b">
                <td>'price' masque un attribut.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>33</td>
            </tr>
            <tr class="b">
                <td>Classe 'Product' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getName' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>34</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>34</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>37</td>
            </tr>
            <tr class="a">
                <td>Classe 'Product' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setName' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>38</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>38</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre name devrait &ecirc;tre final.</td><td>38</td>
            </tr>
            <tr class="b">
                <td>'name' masque un attribut.</td><td>38</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>41</td>
            </tr>
            <tr class="b">
                <td>Classe 'Product' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getPrice' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>42</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>42</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>45</td>
            </tr>
            <tr class="a">
                <td>Classe 'Product' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setPrice' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>46</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>46</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre price devrait &ecirc;tre final.</td><td>46</td>
            </tr>
            <tr class="b">
                <td>'price' masque un attribut.</td><td>46</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>49</td>
            </tr>
            <tr class="b">
                <td>Classe 'Product' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getId' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>50</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>50</td>
            </tr>
            <tr class="b">
                <td>Classe 'Product' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setId' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>54</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>54</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>54</td>
            </tr>
            <tr class="a">
                <td>'id' masque un attribut.</td><td>54</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>56</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>57</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\User.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\User.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Import inutilis&eacute; - javax.persistence.Table.</td><td>12</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>21</td>
            </tr>
            <tr class="a">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>21</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>22</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>25</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>26</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>27</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>28</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>29</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>32</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>33</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>36</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>37</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>37</td>
            </tr>
            <tr class="a">
                <td>'id' masque un attribut.</td><td>37</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre firstname devrait &ecirc;tre final.</td><td>37</td>
            </tr>
            <tr class="a">
                <td>'firstname' masque un attribut.</td><td>37</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre lastname devrait &ecirc;tre final.</td><td>37</td>
            </tr>
            <tr class="a">
                <td>'lastname' masque un attribut.</td><td>37</td>
            </tr>
            <tr class="b">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 89).</td><td>44</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>44</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>44</td>
            </tr>
            <tr class="a">
                <td>'id' masque un attribut.</td><td>44</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre firstname devrait &ecirc;tre final.</td><td>44</td>
            </tr>
            <tr class="a">
                <td>'firstname' masque un attribut.</td><td>44</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre lastname devrait &ecirc;tre final.</td><td>44</td>
            </tr>
            <tr class="a">
                <td>'lastname' masque un attribut.</td><td>44</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre products devrait &ecirc;tre final.</td><td>44</td>
            </tr>
            <tr class="a">
                <td>'products' masque un attribut.</td><td>44</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>51</td>
            </tr>
            <tr class="a">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getFirstname' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>52</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>52</td>
            </tr>
            <tr class="a">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setFirstname' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>56</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>56</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre firstname devrait &ecirc;tre final.</td><td>56</td>
            </tr>
            <tr class="b">
                <td>'firstname' masque un attribut.</td><td>56</td>
            </tr>
            <tr class="a">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getLastname' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>60</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>60</td>
            </tr>
            <tr class="a">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setLastname' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>64</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>64</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre lastname devrait &ecirc;tre final.</td><td>64</td>
            </tr>
            <tr class="b">
                <td>'lastname' masque un attribut.</td><td>64</td>
            </tr>
            <tr class="a">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getProducts' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>68</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>68</td>
            </tr>
            <tr class="a">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setProducts' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>72</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>72</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre products devrait &ecirc;tre final.</td><td>72</td>
            </tr>
            <tr class="b">
                <td>'products' masque un attribut.</td><td>72</td>
            </tr>
            <tr class="a">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getId' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>76</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>76</td>
            </tr>
            <tr class="a">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'setId' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>80</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>80</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>80</td>
            </tr>
            <tr class="b">
                <td>'id' masque un attribut.</td><td>80</td>
            </tr>
            <tr class="a">
                <td>Line has trailing spaces.</td><td>83</td>
            </tr>
            <tr class="b">
                <td>Classe 'User' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'toString' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>84</td>
            </tr>
            <tr class="a">
                <td>La ligne exc&egrave;de 80 caract&egrave;res (trouv&eacute; 96).</td><td>86</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>88</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\package-info.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\entities\package-info.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Il manque un caract&egrave;re NewLine &agrave; la fin du fichier.</td><td>1</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\ProductRepository.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\ProductRepository.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>L'utilisation des import.* est prohib&eacute; - fr.mds.qualitelogicieltp.entities.*.</td><td>5</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>8</td>
            </tr>
            <tr class="a">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>8</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>9</td>
            </tr>
            <tr class="a">
                <td>Mot-clef 'public' redondant.</td><td>9</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\UserRepository.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\UserRepository.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>L'utilisation des import.* est prohib&eacute; - fr.mds.qualitelogicieltp.entities.*.</td><td>5</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>8</td>
            </tr>
            <tr class="a">
                <td>Le fichier contient des caract&egrave;res de tabulation (ce n'est que la premi&egrave;re occurence).</td><td>8</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>9</td>
            </tr>
            <tr class="a">
                <td>Mot-clef 'public' redondant.</td><td>9</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\package-info.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\repositories\package-info.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Il manque un caract&egrave;re NewLine &agrave; la fin du fichier.</td><td>1</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\ProductService.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\ProductService.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>14</td>
            </tr>
            <tr class="b">
                <td>Classe 'ProductService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'save' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>17</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>17</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre item devrait &ecirc;tre final.</td><td>17</td>
            </tr>
            <tr class="a">
                <td>Classe 'ProductService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'delete' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>21</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>21</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre item devrait &ecirc;tre final.</td><td>21</td>
            </tr>
            <tr class="b">
                <td>Classe 'ProductService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'findAll' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>25</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>25</td>
            </tr>
            <tr class="b">
                <td>Classe 'ProductService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getProductById' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>29</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>29</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>29</td>
            </tr>
            <tr class="a">
                <td>Classe 'ProductService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'saveAll' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>33</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>33</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre products devrait &ecirc;tre final.</td><td>33</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\UserService.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\UserService.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>14</td>
            </tr>
            <tr class="b">
                <td>Classe 'UserService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'save' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>17</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>17</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre item devrait &ecirc;tre final.</td><td>17</td>
            </tr>
            <tr class="a">
                <td>Classe 'UserService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'delete' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>21</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>21</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre item devrait &ecirc;tre final.</td><td>21</td>
            </tr>
            <tr class="b">
                <td>Line has trailing spaces.</td><td>24</td>
            </tr>
            <tr class="a">
                <td>Classe 'UserService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'findAll' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>25</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>25</td>
            </tr>
            <tr class="a">
                <td>Classe 'UserService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'getUserById' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>29</td>
            </tr>
            <tr class="b">
                <td>Commentaire Javadoc manquant.</td><td>29</td>
            </tr>
            <tr class="a">
                <td>Le param&egrave;tre id devrait &ecirc;tre final.</td><td>29</td>
            </tr>
            <tr class="b">
                <td>Classe 'UserService' ressemble con&ccedil;u pour extension (peut &ecirc;tre sous-), mais la m&eacute;thode'saveAll' na pas javadoc qui explique comment le faire en toute s&eacute;curit&eacute;. Si la classe est pas con&ccedil;ue pour envisager de faire la classe '{0}' finale ou de faire la m&eacute;thode '{1}' annotation static/final/abstract/empty, ou lajout de permis pour la m&eacute;thode.</td><td>33</td>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>33</td>
            </tr>
            <tr class="b">
                <td>Le param&egrave;tre users devrait &ecirc;tre final.</td><td>33</td>
            </tr>
        </table>
        <a href="#top">Back to top</a><a name="f-C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\package-info.java"></a>
        <h3>File C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\package-info.java</h3>
        <table class="log" border="0" cellpadding="5" cellspacing="2" width="100%">
            <tr>
                <th>Error Description</th><th>Line</th>
            </tr>
            <tr class="a">
                <td>Commentaire Javadoc manquant.</td><td>1</td>
            </tr>
            <tr class="b">
                <td>Il manque un caract&egrave;re NewLine &agrave; la fin du fichier.</td><td>1</td>
            </tr>
        </table>
        <a href="#top">Back to top</a>
        <hr size="1" width="100%" align="left">
    </body>
</html>
